'use strict';Object.defineProperty(exports, "__esModule", { value: true });exports.default = void 0;

var _joi = _interopRequireDefault(require("joi"));function _interopRequireDefault(obj) {return obj && obj.__esModule ? obj : { default: obj };}

var elementId = _joi.default.string().guid().allow('').default('');
var raisingTrigger = _joi.default.object().keys({
  name: _joi.default.string().required().default('Unnamed trigger'),
  triggerId: elementId.required(),
  warningDelay: _joi.default.number().integer().min(0).max(60).required().default(10) // in seconds, delay before warning level turns into alarming level
});
var armingConditionToNotice = _joi.default.object().keys({
  name: _joi.default.string().required().default('Unnamed arming condition to notice'),
  conditionId: elementId.required() });


var schema = _joi.default.object().keys({
  name: _joi.default.string().required().default('Unconfigured survey scenario'),
  levelStateId: _joi.default.string().guid().allow('').required().default(''), // state with 3 or 4 levels (off, ok, [warning], alarm)
  armingDelay: _joi.default.number().integer().min(0).max(10 * 60).required().default(20), // in seconds
  activated: _joi.default.boolean().required().default(false), // false: disarmed or arming ; true: armed

  armingConditionsToNotice: _joi.default.array().min(0).max(32).required().items(armingConditionToNotice).default([]), // when arming, test then, if one is true, notice that before continue
  raisingTriggers: _joi.default.array().min(0).max(128).required().items(raisingTrigger).default([]),
  deactivationTriggerIds: _joi.default.array().min(0).max(16).required().items(elementId).default([]),

  armingActions: _joi.default.array().min(0).max(16).required().items(elementId).default([]),
  warningActions: _joi.default.array().min(0).max(16).required().items(elementId).default([]),
  alarmingActions: _joi.default.array().min(0).max(16).required().items(elementId).default([]),
  deactivationActions: _joi.default.array().min(0).max(16).required().items(elementId).default([]) });var _default =


schema;exports.default = _default;